<?php
/**
 * Faboba News System
 * Joomla! 1.6 component fanews
 * @author	Stéphane Bouey {@link http://www.faboba.com}
 * @package Joomla
 * @subpackage Fanews
 * @license GNU/GPL
 * @Copyright (C) 2011 Faboba.com
 */

// No direct access.
defined('_JEXEC') or die;

class FanewsTableFanew extends JTable
{
	/**
	 * Constructor
	 *
	 * @param object Database connector object
	 */
	function __construct(&$_db)
	{
		parent::__construct('#__fanews', 'id', $_db);
		$this->created = JFactory::getDate()->toMySQL();
	}

	/**
	 * Overloaded bind function
	 *
	 * @param	array		$hash named array
	 * @return	null|string	null is operation was satisfactory, otherwise returns an error
	 * @see JTable:bind
	 * @since 1.5
	 */
	public function bind($array, $ignore = array())
	{
		return parent::bind($array, $ignore);
	}

	/**
	 * method to store a row
	 *
	 * @param boolean $updateNulls True to update fields even if they are null.
	 */
	function store($updateNulls = false)
	{
           // Existing item
           if ($this->id) {
                $this->modified	= JFactory::getDate()->toMySQL();
           }

            if (empty($this->id))
		{
			parent::store($updateNulls);
		}
		else
		{
            //Get the old row
			$oldrow = JTable::getInstance('Fanew', 'FanewsTable');
			if (!$oldrow->load($this->id) && $oldrow->getError())
			{
				$this->setError($oldrow->getError());
			}

			// Store the new row
			parent::store($updateNulls);

		}
		return count($this->getErrors())==0;
	}

}

