<?php
/**
 * Faboba News System
 * Joomla! 1.6 component fanews
 * @author	Stéphane Bouey {@link http://www.faboba.com}
 * @package Joomla
 * @subpackage Fanews
 * @license GNU/GPL
 * @Copyright (C) 2011 Faboba.com
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla view library
jimport('joomla.application.component.view');

/**
 * Fanew View
 */
class FanewsViewFanew extends JView
{
        /**
         * display method of Hello view
         * @return void
         */
        public function display($tpl = null)
        {
                // get the Data
                $form = $this->get('Form');
                $item = $this->get('Item');

                // Check for errors.
                if (count($errors = $this->get('Errors')))
                {
                        JError::raiseError(500, implode('<br />', $errors));
                        return false;
                }

                // Add Css to the view
                $document   = & JFactory::getDocument();
                $document->addStyleSheet('components/com_fanews/assets/css/fanews.css');

                // Assign the Data
                $this->form = $form;
                $this->item = $item;

                // Set the toolbar
                $this->addToolBar();

                // Display the template
                parent::display($tpl);
        }

        /**
         * Setting the toolbar
         */
        protected function addToolBar()
        {
                JRequest::setVar('hidemainmenu', true);
                $isNew = ($this->item->id == 0);
                JToolBarHelper::title($isNew ? JText::_('COM_FANEWS_MANAGER_FANEWS_NEW') : JText::_('COM_FANEWS_MANAGER_FANEWS_EDIT'),'fanews.png');
                JToolBarHelper::save('fanew.save');
                JToolBarHelper::cancel('fanew.cancel', $isNew ? 'JTOOLBAR_CANCEL' : 'JTOOLBAR_CLOSE');
        }
}