<?php
/**
 * Faboba News System
 * Joomla! 1.6 component fanews
 * @author	Stéphane Bouey {@link http://www.faboba.com}
 * @package Joomla
 * @subpackage Fanews
 * @license GNU/GPL
 * @Copyright (C) 2011 Faboba.com
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla view library
jimport('joomla.application.component.view');

/**
 * Fanews View
 */
class FanewsViewFanews extends JView
{
        /**
         * Fanews view display method
         * @return void
         */
        function display($tpl = null)
        {
                // Get data from the model
                $items = $this->get('Items');
                $pagination = $this->get('Pagination');

                // Check for errors.
                if (count($errors = $this->get('Errors')))
                {
                        JError::raiseError(500, implode('<br />', $errors));
                        return false;
                }
                // Add Css to the view
                $document   = & JFactory::getDocument();
                $document->addStyleSheet('components/com_fanews/assets/css/fanews.css');

                // Assign data to the view
                $this->items = $items;
                $this->pagination = $pagination;

                // Set the toolbar
                $this->addToolBar();
                
                // Display the template
                parent::display($tpl);
        }

        /**
         * Setting the toolbar
         */
        protected function addToolBar()
        {
                JToolBarHelper::title(JText::_('COM_FANEWS_MANAGER_FANEWS'),'fanews.png');
                JToolBarHelper::deleteList('', 'fanews.delete');
                JToolBarHelper::divider();
                JToolBarHelper::editList('fanew.edit');
                JToolBarHelper::addNew('fanew.add');
                JToolBarHelper::divider();
        }
}